# std::setiosflags

From cppreference.com
< cpp‎ | io‎ | manip

Defined in header `<iomanip>` |  |
/*unspecified*/ setiosflags( std::ios_base::fmtflags mask ); |  |

When used in an expression out << setiosflags(mask) or in >> setiosflags(mask), sets all format flags of the stream `out` or `in` as specified by the `mask`.

### Parameters

mask | - | bitmask of the flags to set

### Return value

Returns an object of unspecified type such that if `str` is the name of a stream of type std::basic_ostream <CharT, Traits> or std::basic_istream <CharT, Traits>, then the expression str << setiosflags(mask) or str >> setiosflags(mask) behaves as if the following code was executed:

str.setf(mask);

### Example

Run this code

    #include <iostream>
    #include <iomanip>

    int main()
    {
        std::cout <<  std::resetiosflags(std::ios_base::dec)
                  <<  std::setiosflags(  std::ios_base::hex
                                       | std::ios_base::uppercase
                                       | std::ios_base::showbase) << 42 << '\n';
    }

Output:

    0X2A

### See also

setf | sets specific format flag (public member function of `std::ios_base`)
resetiosflags | clears the specified ios_base flags (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/manip/setiosflags&oldid=96944"